VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "CRMResultItem"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Attribute VB_Ext_KEY = "SavedWithClassBuilder6" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
'Concourse Suite Outlook-Plugin
'Copyright (C) 2000-2007 Concursive Corporation.
'
'This program is free software; you can redistribute it and/or
'modify it under the terms of the GNU General Public License
'as published by the Free Software Foundation; version 2
'of the License.
'
'This program is distributed in the hope that it will be useful,
'but WITHOUT ANY WARRANTY; without even the implied warranty of
'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'GNU General Public License for more details.
'
'You should have received a copy of the GNU General Public License
'along with this program; if not, write to the Free Software
'Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

Option Explicit
Option Base 0

' CRMResultItem class
'
' Represents single value in a result row
'
' Value property made default, so the next code fragments are equivalen:
'
' 1. text = row.Items("id").Value
'
' 2. text = row.Items("id")
'
' 3. text = row("id")
'

Private m_name As String
Private m_value As String

' Returned field name
'
Public Property Get Name() As String
    Name = m_name
End Property

' Returned field value
'
Public Property Get value() As String
Attribute value.VB_UserMemId = 0
    value = m_value
End Property

' Internal initialization routine
'
Public Sub Init(strName As String, strValue As String)
    m_name = strName
    m_value = strValue
End Sub
