VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "CRMResultSet"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Attribute VB_Ext_KEY = "SavedWithClassBuilder6" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
'Concourse Suite Outlook-Plugin
'Copyright (C) 2000-2007 Concursive Corporation.
'
'This program is free software; you can redistribute it and/or
'modify it under the terms of the GNU General Public License
'as published by the Free Software Foundation; version 2
'of the License.
'
'This program is distributed in the hope that it will be useful,
'but WITHOUT ANY WARRANTY; without even the implied warranty of
'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'GNU General Public License for more details.
'
'You should have received a copy of the GNU General Public License
'along with this program; if not, write to the Free Software
'Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

Option Explicit
Option Base 0

' CRMResult class
'
' Reprsents Concourse Suite XML API resultset.
'

Private m_errorCode As Integer
Private m_errorText As String
Private m_transactionId As Integer
Private m_source As String
Private m_rows As New Collection

' Request transaction ID.
'
Public Property Get TransactionID() As Integer
    TransactionID = m_transactionId
End Property

' Error code
'
Public Property Get ErrorCode() As Integer
    ErrorCode = m_errorCode
End Property

' Error text
'
Public Property Get ErrorText() As String
    ErrorText = m_errorText
End Property

' Source object/table name
'
Public Property Get Source() As String
    Source = m_source
End Property

' Check for error
'
Public Property Get IsError() As Boolean
    IsError = ErrorCode <> 0
End Property

' Check for success
'
Public Property Get IsOK() As Boolean
    IsOK = Not IsError
End Property

' Result rows collection (default property)
'
Public Property Get Items() As Collection
Attribute Items.VB_UserMemId = 0
    Set Items = m_rows
End Property

' Internal initialization routine
'
Public Sub Init(ID As Integer, errCode As Integer, errText As String, src As String, arrRows As Collection)
    m_transactionId = ID
    m_errorCode = errCode
    m_errorText = errText
    m_source = src
    
    Set m_rows = arrRows
End Sub

