Attribute VB_Name = "Resources"
'Concourse Suite Outlook-Plugin
'Copyright (C) 2000-2007 Concursive Corporation.
'
'This program is free software; you can redistribute it and/or
'modify it under the terms of the GNU General Public License
'as published by the Free Software Foundation; version 2
'of the License.
'
'This program is distributed in the hope that it will be useful,
'but WITHOUT ANY WARRANTY; without even the implied warranty of
'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'GNU General Public License for more details.
'
'You should have received a copy of the GNU General Public License
'along with this program; if not, write to the Free Software
'Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 

Option Explicit

' Menu texts
Public Const MENU_CENTRIC_MAIN = "Concourse Suite"
Public Const MENU_PREFERENCES = "Preferences"
Public Const MENU_ABOUT = "About Concourse Suite Addin"
Public Const MENU_WEBSITE = "Concourse Suite Website"
Public Const MENU_SYNC = "Sync With Concourse Suite..."

' Context menu texts
Public Const CONTEXT_MENU_TASK = "Add Task to Concourse Suite"
Public Const CONTEXT_MENU_APPOINTMENT = "Add Appointment to Concourse Suite"
Public Const CONTEXT_MENU_CONTACT = "Add Contact to Concourse Suite"
Public Const CONTEXT_MENU_MAIL = "Add Email Message to Concourse Suite"


' Error messages
Public Const MSG_ERR_CONNECTION_ERROR = "Could not connect to Concourse Suite. Please verify the configuration details and try again."
Public Const MSG_ERR_MISSING_RECORDSET_TAG = "Server response contains no RECORDSET tag."
Public Const MSG_ERR_NUMERIC_VALUE_EXPECTED = "Numeric value expected."
Public Const MSG_ERR_XML_PARSING_ERROR = "XML parsing error."
Public Const MSG_ERR_ABORTED_BY_USER = "Operation aborted by user."
Public Const MSG_ERR_UNEXPECTED = "Unexpected error."
Public Const MSG_ERR_SEARCH_STARTED = "Search already started."
Public Const MSG_ERR_SEARCH_NOT_STARTED = "Search not started."
Public Const MSG_ERR_ALREADY_SYNCHRONIZED = "This item already synchronized with Concourse Suite."
Public Const MSG_ERR_IGNORE_CONTACT = "User skipped import for a contact."

Public Const MSG_ERR_ADD_CONTACT = "Error adding Contact to Concourse Suite."
Public Const MSG_ERR_ADD_TASK = "Error adding Task to Concourse Suite"
Public Const MSG_ERR_ADD_SENT_MAIL = "Error adding Sent Email to Concourse Suite"
Public Const MSG_ERR_ADD_RECEIVED_MAIL = "Error adding Received Email to Concourse Suite"
Public Const MSG_ERR_ADD_APPOINTMENT = "Error adding Appointment to Concourse Suite"

Public Const MSG_ERR_UPDATE_CONTACT = "Error updating Contact in Concourse Suite."
Public Const MSG_ERR_UPDATE_TASK = "Error updating Task in Concourse Suite"
Public Const MSG_ERR_UPDATE_SENT_MAIL = "Error updating Sent Email in Concourse Suite"
Public Const MSG_ERR_UPDATE_RECEIVED_MAIL = "Error updating Received Email in Concourse Suite"
Public Const MSG_ERR_UPDATE_APPOINTMENT = "Error updating Appointment in Concourse Suite"

' Message box titles
Public Const TITLE_CENTRIC_CRM = "Concourse Suite"
Public Const TITLE_ADD_CONTACT = "Concourse Suite: Add Contact"
Public Const TITLE_ADD_TASK = "Concourse Suite: Add Task"
Public Const TITLE_ADD_SENT_MAIL = "Concourse Suite: Add Sent Email"
Public Const TITLE_ADD_RECEIVED_MAIL = "Concourse Suite: Add Received Email"
Public Const TITLE_ADD_APPOINTMENT = "Concourse Suite: Add Appointment"
Public Const TITLE_ERROR = "Error"

' Information messages
Public Const MSG_TEST_CONNECTION_SUCCESS = "A connection was successfully established with the specified Concourse Suite Server."
Public Const MSG_ADD_CONTACT_SUCCESS = "Contact successfully added to Concourse Suite."
Public Const MSG_ADD_TASK_SUCCESS = "Task successfully added to Concourse Suite"
Public Const MSG_ADD_SENT_MAIL_SUCCESS = "Sent Email successfully added to Concourse Suite"
Public Const MSG_ADD_RECEIVED_MAIL_SUCCESS = "Received Email successfully added to Concourse Suite"
Public Const MSG_ADD_APPOINTMENT_SUCCESS = "Appointment successfully added to Concourse Suite"
Public Const MSG_UPDATE_CONTACT_SUCCESS = "Contact successfully updated in Concourse Suite."
Public Const MSG_UPDATE_TASK_SUCCESS = "Task successfully updated in Concourse Suite"
Public Const MSG_UPDATE_SENT_MAIL_SUCCESS = "Sent Email successfully updated in Concourse Suite"
Public Const MSG_UPDATE_RECEIVED_MAIL_SUCCESS = "Received Email successfully updated in Concourse Suite"
Public Const MSG_UPDATE_APPOINTMENT_SUCCESS = "Appointment successfully updated in Concourse Suite"

' Object validation messages
Public Const MSG_REQ_ADD_CONTACT_EMAIL = "The Email field is required."
Public Const MSG_REQ_ADD_CONTACT_EMAIL_TYPE = "The Email field must be valid SMTP address."
Public Const MSG_REQ_ADD_CONTACT_NAME_OR_COMPANY = "Either the Last Name or the Company is required."
Public Const MSG_REQ_ADD_MAIL_SUBJECT = "Mail subject must not be empty."
Public Const MSG_REQ_ADD_MAIL_SENDER = "Sender email address must not be empty."
Public Const MSG_REQ_ADD_MAIL_SENDER_TYPE = "Sender email address must be valid SMTP address."

' Warning messages
Public Const MSG_WARN_CONTACT_ALREADY_IMPORTED = "This contact has been already imported into Concourse Suite." + vbCrLf + "Create duplicate?"
Public Const MSG_WARN_TASK_ALREADY_IMPORTED = "This task has been already imported into Concourse Suite." + vbCrLf + "Create duplicate?"
Public Const MSG_WARN_MAIL_ALREADY_IMPORTED = "This email has been already imported into Concourse Suite." + vbCrLf + "Create duplicate?"

