VERSION 5.00
Begin VB.UserControl ctlContactPreferences 
   ClientHeight    =   3600
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   4800
   ScaleHeight     =   3600
   ScaleWidth      =   4800
   Begin VB.CheckBox checkImportContactAsLead 
      Caption         =   "Add Outlook Contact as Concourse Suite Lead"
      Height          =   495
      Left            =   240
      TabIndex        =   0
      Top             =   240
      Width           =   3735
   End
End
Attribute VB_Name = "ctlContactPreferences"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
'Concourse Suite Outlook-Plugin
'Copyright (C) 2000-2007 Concursive Corporation.
'
'This program is free software; you can redistribute it and/or
'modify it under the terms of the GNU General Public License
'as published by the Free Software Foundation; version 2
'of the License.
'
'This program is distributed in the hope that it will be useful,
'but WITHOUT ANY WARRANTY; without even the implied warranty of
'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'GNU General Public License for more details.
'
'You should have received a copy of the GNU General Public License
'along with this program; if not, write to the Free Software
'Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 

Option Explicit

Private m_IsDirty As Boolean

Public Event Changed()

Private Sub SetDirty(value As Boolean)
    Dim tmp As Boolean
    tmp = m_IsDirty
    m_IsDirty = value
    If (value And (Not tmp)) Then
        RaiseEvent Changed
    End If
End Sub

Public Sub Apply()
    CentricApp.Logger.Debugging "Applying contacts preferences..."
    
    CentricApp.Preferences.ImportContactAsLead = checkImportContactAsLead.value
    
    m_IsDirty = False
    CentricApp.Logger.Debugging "Contact preferences saved."
End Sub

Public Property Get IsDirty() As Boolean
    IsDirty = m_IsDirty
End Property


Private Sub checkImportContactAsLead_Click()
    SetDirty True
End Sub

Private Sub UserControl_Initialize()
    checkImportContactAsLead.value = IIf(CentricApp.Preferences.ImportContactAsLead, 1, 0)
    SetDirty (False)
End Sub

