VERSION 5.00
Object = "{831FDD16-0C5C-11D2-A9FC-0000F8754DA1}#2.0#0"; "Mscomctl.ocx"
Begin VB.UserControl ctlFolderList 
   ClientHeight    =   2010
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   3975
   ScaleHeight     =   2010
   ScaleWidth      =   3975
   Begin MSComctlLib.ListView FolderList 
      Height          =   1455
      Left            =   120
      TabIndex        =   3
      Top             =   480
      Width           =   1935
      _ExtentX        =   3413
      _ExtentY        =   2566
      View            =   3
      Arrange         =   1
      LabelWrap       =   0   'False
      HideSelection   =   0   'False
      HideColumnHeaders=   -1  'True
      FullRowSelect   =   -1  'True
      _Version        =   393217
      ForeColor       =   -2147483640
      BackColor       =   -2147483643
      BorderStyle     =   1
      Appearance      =   1
      NumItems        =   1
      BeginProperty ColumnHeader(1) {BDD1F052-858B-11D1-B16A-00C0F0283628} 
         Object.Width           =   7056
      EndProperty
   End
   Begin VB.CommandButton btnAdd 
      Caption         =   "Add..."
      Height          =   375
      Left            =   2160
      TabIndex        =   1
      Top             =   480
      Width           =   975
   End
   Begin VB.CommandButton btnRemove 
      Caption         =   "Remove"
      Height          =   375
      Left            =   2160
      TabIndex        =   0
      Top             =   960
      Width           =   975
   End
   Begin VB.Label ControlLabel 
      Caption         =   "Search in folders:"
      Height          =   255
      Left            =   120
      TabIndex        =   2
      Top             =   120
      Width           =   2415
   End
End
Attribute VB_Name = "ctlFolderList"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
'Concourse Suite Outlook-Plugin
'Copyright (C) 2000-2007 Concursive Corporation.
'
'This program is free software; you can redistribute it and/or
'modify it under the terms of the GNU General Public License
'as published by the Free Software Foundation; version 2
'of the License.
'
'This program is distributed in the hope that it will be useful,
'but WITHOUT ANY WARRANTY; without even the implied warranty of
'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'GNU General Public License for more details.
'
'You should have received a copy of the GNU General Public License
'along with this program; if not, write to the Free Software
'Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 

Option Explicit

Public Event Changed()
Public Event OnAdd(ByVal Folder As String, ByRef Cancel As Boolean)

Public Property Get Caption() As String
    Caption = ControlLabel.Caption
End Property

Public Property Let Caption(ByVal NewCaption As String)
    ControlLabel.Caption = NewCaption
End Property

Public Property Get Folders() As String
    Dim m_Folders() As String
    ReDim m_Folders(FolderList.ListItems.Count)
    Dim i As Integer
    For i = 0 To FolderList.ListItems.Count - 1
        m_Folders(i) = FolderList.ListItems(i + 1)
    Next i
    Folders = Join$(m_Folders, Sync.FOLDER_LIST_SEPARATOR)
End Property

Public Property Let Folders(ByVal NewValue As String)
    Dim m_Folders() As String
    m_Folders = Split(NewValue, Sync.FOLDER_LIST_SEPARATOR, Compare:=vbTextCompare)
    Dim i As Integer
    For i = LBound(m_Folders) To UBound(m_Folders)
        FolderList.ListItems.Add text:=m_Folders(i)
    Next i
    btnRemove.Enabled = FolderList.ListItems.Count > 0
End Property

Public Function Contains(ByVal Folder As String) As Boolean
    Dim ListItem As ListItem
    For Each ListItem In FolderList.ListItems
        If ListItem.text = Folder Then
            Contains = True
            Exit Function
        End If
    Next
    Contains = False
End Function

Private Sub btnAdd_Click()
    Dim Folder As MAPIFolder
    Set Folder = CentricApp.Outlook.Session.PickFolder
    If Folder Is Nothing Then Exit Sub
    
    Dim Cancel As Boolean
    Cancel = False
    RaiseEvent OnAdd(Folder.folderPath, Cancel)
    If Not Cancel Then
        FolderList.ListItems.Add text:=Folder.folderPath
        Update
    End If
End Sub

Private Sub btnRemove_Click()
    If FolderList.ListItems.Count <= 0 Then Exit Sub
    If FolderList.SelectedItem Is Nothing Then Exit Sub
    FolderList.ListItems.Remove FolderList.SelectedItem.Index
    Update
End Sub

Private Sub Update()
    btnRemove.Enabled = FolderList.ListItems.Count > 0
    RaiseEvent Changed
End Sub

