VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "CRMResultRow"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Attribute VB_Ext_KEY = "SavedWithClassBuilder6" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
'Concourse Suite Outlook-Plugin
'Copyright (C) 2000-2007 Concursive Corporation.
'
'This program is free software; you can redistribute it and/or
'modify it under the terms of the GNU General Public License
'as published by the Free Software Foundation; version 2
'of the License.
'
'This program is distributed in the hope that it will be useful,
'but WITHOUT ANY WARRANTY; without even the implied warranty of
'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'GNU General Public License for more details.
'
'You should have received a copy of the GNU General Public License
'along with this program; if not, write to the Free Software
'Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

Option Explicit
Option Base 0

' CRMResultRow class
'
' Represents single row in a server returned result
'
' Items collection made default property.
'
' Usage:
'
' Enumerate all values in the row:
' FOR EACH item IN row
'
' Access single value by index or field name:
' text = row(1)
' or
' text = row(fieldName)
'

Private m_action As Integer
Private m_Items As New Collection

' Action property
' One of the RequestedOperation constatnts
' The same as was set in requsted transaction.
'
Public Property Get Action() As Integer
    Action = m_action
End Property

' Items collection (default property)
'
Public Property Get Items() As Collection
Attribute Items.VB_UserMemId = 0
    Set Items = m_Items
End Property

' Internal initialization routine
'
Public Sub Init(ByVal rowAction As Integer, arrItems As Collection)
    m_action = rowAction
    Set m_Items = arrItems
End Sub


