Attribute VB_Name = "OutlookUtils"
'Concourse Suite Outlook-Plugin
'Copyright (C) 2000-2007 Concursive Corporation.
'
'This program is free software; you can redistribute it and/or
'modify it under the terms of the GNU General Public License
'as published by the Free Software Foundation; version 2
'of the License.
'
'This program is distributed in the hope that it will be useful,
'but WITHOUT ANY WARRANTY; without even the implied warranty of
'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'GNU General Public License for more details.
'
'You should have received a copy of the GNU General Public License
'along with this program; if not, write to the Free Software
'Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 

Option Explicit

Private Const DATE_NONE = "01/01/4501"

Public Function IsSentMail(ByVal Mail As MailItem) As Boolean
    IsSentMail = (Len(Mail.ReceivedByName) = 0)
End Function

Public Function DateAsString(d As Date) As String
    If d = DATE_NONE Then
        DateAsString = ""
    Else
        DateAsString = Format(CDate(d), "mm/dd/yyyy")
    End If
End Function

Public Function GetMAPIFolder(ByVal folderPath As String) As MAPIFolder
    Dim str As String
    str = Left$(folderPath, 1)
    If (str = "'" Or str = """") Then folderPath = Mid$(folderPath, 2, Len(folderPath) - 2)
    
    str = folderPath
    If (Left$(str, 2) = "\\") Then str = Right$(str, Len(str) - 2)
    Dim names() As String
    names = Split(str, "\")
    
    Dim Folders As Outlook.Folders
    Set Folders = CentricApp.Outlook.Session.Folders
    Dim Folder As MAPIFolder
    Dim i As Integer
    For i = LBound(names) To UBound(names)
        For Each Folder In Folders
            If (names(i) = Folder.Name) Then
                Set Folders = Folder.Folders
                GoTo ProcessSubfolders
            End If
        Next Folder
ProcessSubfolders:
    Next i
    Set Folders = Nothing
    If Folder.folderPath = folderPath Then
        Set GetMAPIFolder = Folder
    End If
End Function
