VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "SearchConditions"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Attribute VB_Ext_KEY = "SavedWithClassBuilder6" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"

'Concourse Suite Outlook-Plugin
'Copyright (C) 2000-2007 Concursive Corporation.
'
'This program is free software; you can redistribute it and/or
'modify it under the terms of the GNU General Public License
'as published by the Free Software Foundation; version 2
'of the License.
'
'This program is distributed in the hope that it will be useful,
'but WITHOUT ANY WARRANTY; without even the implied warranty of
'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'GNU General Public License for more details.
'
'You should have received a copy of the GNU General Public License
'along with this program; if not, write to the Free Software
'Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
'
 

Option Explicit
Option Base 0


Private m_Items As Collection

Public Property Get Count() As Integer
    Count = m_Items.Count
End Property

Public Property Get Item(Index As Variant) As SearchCondition
Attribute Item.VB_UserMemId = 0
    Set Item = m_Items(Index)
End Property

Public Function Add(ByVal newLocation As String, ByVal newFilter As String, ByVal SearchSubFolders As Boolean) As SearchCondition
    Set Add = New SearchCondition
    Add.Location = newLocation
    Add.SearchSubFolders = SearchSubFolders
    Add.Filter = newFilter
    m_Items.Add Add
End Function

Public Sub Remove(Index As Variant)
    m_Items.Remove Index
End Sub

Public Sub Clear()
    Set m_Items = New Collection
End Sub

Public Function NewEnum() As IUnknown
Attribute NewEnum.VB_UserMemId = -4
Attribute NewEnum.VB_MemberFlags = "40"
    Set NewEnum = m_Items.[_NewEnum]
End Function

Private Sub Class_Initialize()
    Set m_Items = New Collection
End Sub


Private Sub Class_Terminate()
    Set m_Items = Nothing
End Sub
