VERSION 5.00
Object = "{831FDD16-0C5C-11D2-A9FC-0000F8754DA1}#2.0#0"; "Mscomctl.ocx"
Begin VB.Form frmPreferences 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Concourse Suite Preferences"
   ClientHeight    =   6060
   ClientLeft      =   2175
   ClientTop       =   1935
   ClientWidth     =   6855
   KeyPreview      =   -1  'True
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   6060
   ScaleWidth      =   6855
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin ConcourseSuite.ctlSyncPreferences ctlSyncPreferences1 
      Height          =   2055
      Left            =   4200
      TabIndex        =   6
      Top             =   840
      Visible         =   0   'False
      Width           =   1095
      _ExtentX        =   1931
      _ExtentY        =   3625
   End
   Begin ConcourseSuite.ctlContactPreferences ctlContactPreferences1 
      Height          =   1575
      Left            =   2640
      TabIndex        =   5
      Top             =   840
      Visible         =   0   'False
      Width           =   975
      _ExtentX        =   1720
      _ExtentY        =   2778
   End
   Begin ConcourseSuite.ctlPreferences ctlPreferences1 
      Height          =   1695
      Left            =   120
      TabIndex        =   4
      Top             =   720
      Width           =   2055
      _ExtentX        =   11033
      _ExtentY        =   8281
   End
   Begin VB.CommandButton cmdApply 
      Cancel          =   -1  'True
      Caption         =   "Apply"
      Enabled         =   0   'False
      Height          =   345
      Left            =   5250
      TabIndex        =   2
      Top             =   5520
      Width           =   1155
   End
   Begin VB.CommandButton CmdClose 
      Caption         =   "Cancel"
      Height          =   345
      Left            =   3990
      TabIndex        =   1
      Top             =   5520
      Width           =   1155
   End
   Begin VB.CommandButton cmdok 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   345
      Left            =   2760
      TabIndex        =   0
      Top             =   5520
      Width           =   1155
   End
   Begin MSComctlLib.TabStrip tsPreferences 
      Height          =   5295
      Left            =   120
      TabIndex        =   3
      Top             =   120
      Width           =   6615
      _ExtentX        =   11668
      _ExtentY        =   9340
      _Version        =   393216
      BeginProperty Tabs {1EFB6598-857C-11D1-B16A-00C0F0283628} 
         NumTabs         =   3
         BeginProperty Tab1 {1EFB659A-857C-11D1-B16A-00C0F0283628} 
            Caption         =   "Connection"
            ImageVarType    =   2
         EndProperty
         BeginProperty Tab2 {1EFB659A-857C-11D1-B16A-00C0F0283628} 
            Caption         =   "Contacts"
            ImageVarType    =   2
         EndProperty
         BeginProperty Tab3 {1EFB659A-857C-11D1-B16A-00C0F0283628} 
            Caption         =   "Sync"
            ImageVarType    =   2
         EndProperty
      EndProperty
   End
End
Attribute VB_Name = "frmPreferences"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'Concourse Suite Outlook-Plugin
'Copyright (C) 2000-2007 Concoursive Corporation.
'
'This program is free software; you can redistribute it and/or
'modify it under the terms of the GNU General Public License
'as published by the Free Software Foundation; version 2
'of the License.
'
'This program is distributed in the hope that it will be useful,
'but WITHOUT ANY WARRANTY; without even the implied warranty of
'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'GNU General Public License for more details.
'
'You should have received a copy of the GNU General Public License
'along with this program; if not, write to the Free Software
'Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

Option Explicit

Private m_CurrentControl As Object

Private Sub cmdApply_Click()
    ctlPreferences1.Apply
    ctlContactPreferences1.Apply
    ctlSyncPreferences1.Apply
    CentricApp.Preferences.Save
    cmdApply.Enabled = False
End Sub

Private Sub CmdClose_Click()
    cmdApply.Enabled = False
    Unload Me
End Sub

Private Sub cmdok_Click()
  If cmdApply.Enabled = True Then
    cmdApply_Click
  End If
  Unload Me
End Sub

Private Sub ctlContactPreferences1_Changed()
    PreferencesChanged
End Sub

Private Sub ctlPreferences1_Changed()
    PreferencesChanged
End Sub

Private Sub ctlSyncPreferences1_Changed()
    PreferencesChanged
End Sub

Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)
    Dim i As Integer
    'handle ctrl+tab to move to the next tab
    If Shift = vbCtrlMask And KeyCode = vbKeyTab Then
        i = tsPreferences.SelectedItem.Index
        If i = tsPreferences.Tabs.Count Then
            'last tab so we need to wrap to tab 1
            Set tsPreferences.SelectedItem = tsPreferences.Tabs(1)
        Else
            'increment the tab
            Set tsPreferences.SelectedItem = tsPreferences.Tabs(i + 1)
        End If
    End If
End Sub

Private Sub Form_Load()
    Set tsPreferences.Tabs(1).Tag = ctlPreferences1
    Set tsPreferences.Tabs(2).Tag = ctlContactPreferences1
    Set tsPreferences.Tabs(3).Tag = ctlSyncPreferences1
    
    AutoFill ctlPreferences1
    AutoFill ctlContactPreferences1
    AutoFill ctlSyncPreferences1
    
    Set tsPreferences.SelectedItem = tsPreferences.Tabs(1)
    'Me.Cancelled = True
    'SetCurrentControl ctlPreferences1
End Sub

Private Sub AutoFill(C As VBControlExtender)
    'Set c.parent = tsPreferences
    C.Move tsPreferences.ClientLeft, tsPreferences.ClientTop, tsPreferences.ClientWidth, tsPreferences.ClientHeight
End Sub

Private Sub PreferencesChanged()
    cmdApply.Enabled = True
End Sub

Private Sub SetCurrentControl(newControl As Object)
    If (newControl Is m_CurrentControl) Then Exit Sub
    If (Not (m_CurrentControl Is Nothing)) Then
        m_CurrentControl.Visible = False
    End If
    Set m_CurrentControl = newControl
    m_CurrentControl.Visible = True
End Sub

Private Sub tsPreferences_Click()
    SetCurrentControl tsPreferences.SelectedItem.Tag
End Sub
