VERSION 5.00
Object = "{831FDD16-0C5C-11D2-A9FC-0000F8754DA1}#2.0#0"; "Mscomctl.ocx"
Begin VB.Form frmSearchContacts 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Add Email Message to Concourse Suite"
   ClientHeight    =   5745
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   9120
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   5745
   ScaleWidth      =   9120
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtCurrentContact 
      Appearance      =   0  'Flat
      BackColor       =   &H8000000F&
      BorderStyle     =   0  'None
      Enabled         =   0   'False
      Height          =   855
      Left            =   1560
      MultiLine       =   -1  'True
      TabIndex        =   11
      Text            =   "frmSearchContacts.frx":0000
      Top             =   120
      Width           =   7335
   End
   Begin VB.Frame Frame2 
      Caption         =   "Attach message with a specific Concourse Suite contact"
      Height          =   3555
      Left            =   30
      TabIndex        =   1
      Top             =   2040
      Width           =   8985
      Begin VB.CommandButton cmdCancel 
         Cancel          =   -1  'True
         Caption         =   "Cancel"
         Height          =   375
         Left            =   6120
         TabIndex        =   7
         Top             =   3060
         Width           =   1635
      End
      Begin VB.CommandButton cmdIgnore 
         Caption         =   "Ignore this contact"
         Height          =   375
         Left            =   4320
         TabIndex        =   6
         Top             =   3060
         Width           =   1635
      End
      Begin VB.TextBox txtNoResults 
         Appearance      =   0  'Flat
         BorderStyle     =   0  'None
         Enabled         =   0   'False
         Height          =   285
         Left            =   3450
         TabIndex        =   5
         Text            =   "No matching contacts found"
         Top             =   660
         Visible         =   0   'False
         Width           =   2085
      End
      Begin VB.CommandButton cmdAddToCentricCRM 
         Caption         =   "Add to ConcourseSuite"
         Enabled         =   0   'False
         Height          =   375
         Left            =   2130
         TabIndex        =   4
         Top             =   3060
         Width           =   2085
      End
      Begin MSComctlLib.ListView lvwResults 
         Height          =   2715
         Left            =   120
         TabIndex        =   2
         Top             =   270
         Width           =   8715
         _ExtentX        =   15372
         _ExtentY        =   4789
         View            =   3
         LabelEdit       =   1
         LabelWrap       =   -1  'True
         HideSelection   =   0   'False
         FullRowSelect   =   -1  'True
         _Version        =   393217
         ForeColor       =   -2147483640
         BackColor       =   -2147483643
         BorderStyle     =   1
         Appearance      =   1
         NumItems        =   5
         BeginProperty ColumnHeader(1) {BDD1F052-858B-11D1-B16A-00C0F0283628} 
            Text            =   "First Name"
            Object.Width           =   2540
         EndProperty
         BeginProperty ColumnHeader(2) {BDD1F052-858B-11D1-B16A-00C0F0283628} 
            SubItemIndex    =   1
            Text            =   "Last Name"
            Object.Width           =   2540
         EndProperty
         BeginProperty ColumnHeader(3) {BDD1F052-858B-11D1-B16A-00C0F0283628} 
            SubItemIndex    =   2
            Text            =   "Company"
            Object.Width           =   2540
         EndProperty
         BeginProperty ColumnHeader(4) {BDD1F052-858B-11D1-B16A-00C0F0283628} 
            SubItemIndex    =   3
            Text            =   "Email Address"
            Object.Width           =   2540
         EndProperty
         BeginProperty ColumnHeader(5) {BDD1F052-858B-11D1-B16A-00C0F0283628} 
            SubItemIndex    =   4
            Text            =   "Phone Number"
            Object.Width           =   2540
         EndProperty
      End
   End
   Begin VB.Frame Frame1 
      Caption         =   "Search Contact in ConcourseSuite"
      Height          =   885
      Left            =   30
      TabIndex        =   0
      Top             =   990
      Width           =   8985
      Begin VB.CommandButton cmdSearch 
         Caption         =   "Search"
         Height          =   375
         Left            =   5940
         TabIndex        =   9
         Top             =   300
         Width           =   1395
      End
      Begin VB.TextBox txtEmail 
         Height          =   315
         Left            =   120
         TabIndex        =   8
         Top             =   360
         Width           =   5715
      End
      Begin VB.CommandButton cmdCreateContact 
         Caption         =   "Create Contact"
         Height          =   375
         Left            =   7440
         TabIndex        =   3
         Top             =   300
         Width           =   1395
      End
   End
   Begin VB.Label Label1 
      Caption         =   "Unknown contact:"
      Height          =   255
      Left            =   120
      TabIndex        =   10
      Top             =   130
      Width           =   1335
   End
End
Attribute VB_Name = "frmSearchContacts"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'Concourse Suite Outlook-Plugin
'Copyright (C) 2000-2007 Concursive Corporation.
'
'This program is free software; you can redistribute it and/or
'modify it under the terms of the GNU General Public License
'as published by the Free Software Foundation; version 2
'of the License.
'
'This program is distributed in the hope that it will be useful,
'but WITHOUT ANY WARRANTY; without even the implied warranty of
'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'GNU General Public License for more details.
'
'You should have received a copy of the GNU General Public License
'along with this program; if not, write to the Free Software
'Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 

Option Explicit

Private m_ButtonPressed As SearchFormButton


Public ContactID As Integer
Public Email As String
Public Cancelled As Boolean

Public Property Get ButtonPressed() As SearchFormButton
    ButtonPressed = m_ButtonPressed
End Property

Private Sub cmdAddToCentricCRM_Click()
Dim ID As Long
    Cancelled = False
    m_ButtonPressed = SelectContact
  
    Dim contact As ContactInfo
    Set contact = lvwResults.SelectedItem.Tag
    Email = contact.EmailAddress
    
    ContactID = contact.ID
    CentricApp.Logger.Debugging "User selected contact on Search Contact form (ID=" & ContactID & ")."
    Me.Hide
End Sub

Private Sub cmdCancel_Click()
    CentricApp.Logger.Debugging "User cancelled Search Contact form."
    Cancelled = True
    m_ButtonPressed = CancelSync
    Me.Hide
End Sub

Private Sub cmdIgnore_Click()
    CentricApp.Logger.Debugging "Search Contact form: ignore contact: " & CurrentContact.EmailAddress & "."
    Cancelled = False
    m_ButtonPressed = IgnoreContact
    Me.Hide
End Sub

Private Sub cmdCreateContact_Click()
    'frmCreateContact.txtEmail.text = txtEmail.text
    frmCreateContact.Show vbModal, Me
    
    If frmCreateContact.Cancelled Then
        Unload frmCreateContact
        Exit Sub
    End If
    
    Dim contact As ContactInfo
    Set contact = CreateCRMContact(frmCreateContact.txtFirstName, _
        frmCreateContact.txtMiddleName, frmCreateContact.txtLastName, _
        frmCreateContact.txtCompany, frmCreateContact.txtTitle, _
        frmCreateContact.txtRole, frmCreateContact.txtEmail _
    )
    Unload frmCreateContact
    
    AddContact contact
    lvwResults.ListItems(lvwResults.ListItems.Count).Selected = True
    
    cmdAddToCentricCRM.Enabled = True
    txtNoResults.Visible = False
End Sub

Private Sub cmdSearch_Click()
  Me.MousePointer = vbHourglass
  cmdAddToCentricCRM.Enabled = False
  
  Dim contacts As Collection
  Set contacts = GetContactList(txtEmail)
  
  lvwResults.ListItems.Clear
  txtNoResults.Visible = contacts.Count <= 0
  
  Dim contact As ContactInfo
  For Each contact In contacts
    AddContact contact
  Next contact
  
  Me.MousePointer = vbDefault
End Sub

Private Sub Form_Load()
    CentricApp.Logger.Debugging "User openned Search Contact form."
    lvwResults.ListItems.Clear
    txtNoResults.Visible = False
    cmdAddToCentricCRM.Enabled = False
    Me.Cancelled = True
    Me.Email = ""
    txtCurrentContact = CurrentContact.EmailAddress
End Sub

Private Sub lvwResults_ItemClick(ByVal Item As MSComctlLib.ListItem)
  cmdAddToCentricCRM.Enabled = True
  txtNoResults.Visible = False
End Sub

Private Sub txtEmail_Change()
  txtEmail.text = Replace(txtEmail.text, "%", "")
End Sub

Private Sub AddContact(ByVal contact As ContactInfo)
    Dim Item As ListItem
    Set Item = lvwResults.ListItems.Add(text:=contact.FirstName)
    Item.ListSubItems.Add text:=contact.LastName
    Item.ListSubItems.Add text:=contact.Company
    Item.ListSubItems.Add text:=contact.EmailAddress
    Item.ListSubItems.Add text:=contact.PhoneNumber
    Set Item.Tag = contact
End Sub
